/* variables */
:root {
    --Lscreenwidth: 30vw;
    --Mscreenwidth: 50vw;
    --Sscreenwidth: 75vw;
    --XSscreenwidth: 90vw;
}

/* Common */
body {
    /* DXCOMMENT: Duplicate a font family and font size from the web.config (devexpress->themes->font settings) for the web-site's HTML content */
    font: 16px 'Segoe UI', Helvetica, 'Droid Sans', Tahoma, Geneva, sans-serif;
}

h1 {
    text-align: center;
}

/* Article Layout */
.text-content {
    min-height: 100%;
    margin: 0px auto;
    padding: 0px 3% 0px 3%;
    word-wrap: break-word;
}

/* Base Styles */
.text-content {
    color: #666;
    line-height: 1.5;
}

.text-content p {
    margin-top: 0;
    margin-bottom: 1rem;
}

/* Headers */
.text-content h1, .text-content h2, .text-content h3, .text-content h4, .text-content h5, .text-content h6 {
    color: #444;
    font-weight: normal;
    margin-top: 0;
    margin-bottom: 0.5rem;
}

.text-content h3, .text-content h4, .text-content h5, .text-content h6 {
    font-weight: 600;
}

.text-content h1 {
    font-size: 2em;
}

.text-content h2 {
    font-size: 1.75em;
}

.text-content h3 {
    font-size: 1.375em;
}

.text-content h4 {
    font-size: 1.25em;
}

.text-content h5 {
    font-size: 1.125em;
}

.text-content h6 {
    font-size: 1em;
}

.text-content > h1:not(:first-child) {
    margin-top: 1rem;
}

.text-content > h2:not(:first-child) {
    margin-top: 1.5rem;
}

.text-content > h3:not(:first-child) {
    margin-top: 1.25rem;
}

.text-content > h4:not(:first-child) {
    margin-top: 1.125rem;
}

.text-content > h5:not(:first-child) {
    margin-top: 1rem;
}

.text-content > h6:not(:first-child) {
    margin-top: .9rem;
}

/* Title + Lead */
.text-content .title {
    margin-top: 1.2rem;
    margin-bottom: .8rem;
}

@media (min-width: 576px) {
    .text-content .title {
        color: #222;
        font-size: 2em;
        font-weight: 600;
    }
}

.text-content .lead {
    font-size: 1.125rem;
    font-weight: 300;
}

@media (min-width: 576px) {
    .text-content .lead {
        max-width: 80%;
        margin-bottom: 1rem;
        font-size: 1.5rem;
    }
}

.text-content > h2.category {
    color: #222;
    font-weight: 600;
}

.text-content > h2.category:not(:first-child) {
    margin-top: 3rem;
}


/* #href bookmark jump */
.text-content > h1[id]::before,
.text-content > h2[id]::before,
.text-content > h3[id]::before,
.text-content > h4[id]::before {
    display: block;
    height: calc(3.13rem + 1.2rem); /* Main Menu Height (3.13rem) + .title margin-top = 1.2rem */
    margin-top: calc(-3.13rem - 1.2rem);
    visibility: hidden;
    content: "";
}


/* Link */
.text-content a {
    /* DXCOMMENT: Duplicates color from the web.config (devexpress->themes->baseColor) */
    color: #F87C1D;
}

.text-content a:visited {
    /* DXCOMMENT: Duplicates color from the web.config (devexpress->themes->baseColor) */
    color: #BA5D15; /* 25% black overlay */
}

.text-content a:hover {
    /* DXCOMMENT: Duplicates color from the web.config (devexpress->themes->baseColor) */
    color: #FAA96C; /* 35% white overlay */
}

.text-content b, .text-content strong {
    color: #444;
}

mark {
    /* DXCOMMENT: Duplicates color from the web.config (devexpress->themes->baseColor) */
    background-color: #F87C1D;
    color: #fff;
}

small {
    color: #999999;
    font-size: 0.75em;
}

code, pre {
    font-family: Consolas, Menlo, Monaco, "Liberation Mono", "Courier New", monospace;
    font-size: 0.875em;
}

hr {
    height: 1px;
    opacity: 0.1;
    background-color: #000000;
    border: 0;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

blockquote {
    background-color: #f2f2f2;
    color: #444;
    margin: 0;
    margin-bottom: 1rem;
    font-size: 1.125em;
    padding: 29px 26px;
    border: 0;
    border-left: 6px solid #d8d8d8;
}

blockquote p {
    margin-top: 0;
}

blockquote footer {
    display: block;
    font-size: 0.875em;
    font-style: italic;
    color: #999;
}

blockquote footer::before {
    content: "\2014 \00A0";
}

/* Contents (Left Panel) */
.section-caption.contents-caption {
    padding-left: 10px;
    border-top: none !important;
}


/* Lists */
.text-content ul,
.text-content ol {
    margin-top: 1em;
    margin-bottom: 1em;
}

@media (min-width: 992px) {
    .bd-content > ul, .bd-content > ol, .bd-content > p {
        max-width: 80%;
    }
}

/* Text Alignment */
.text-center {
    text-align: center !important;
}

.text-right {
    text-align: right !important;
}

.indent-p {
    padding-left: 40px;
    padding-right: 20px;
}

.bordered-block {
    background-color: #f2f2f2;
    padding: 1.5rem;
    margin-right: 0;
    margin-left: 0;
    border-width: .2rem;
}

@media (min-width: 576px) {
    .bordered-block {
        padding: 1.5rem;
        margin-right: 0;
        margin-left: 0;
        border-width: .2rem;
    }
}

/* Tables */
.table {
    margin-bottom: 1rem;
    background-color: transparent;
    border-collapse: collapse;
}

.table td,
.table th {
    padding: .75em;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
    text-align: left;
}

.table thead th {
    border-bottom: 1px solid #d8d8d8;
    background-color: #f2f2f2;
    color: #222;
}

.table thead tr {
    box-shadow: 0px 2px 4px 0 rgba(0, 0, 0, 0.23);
}

.table tbody + tbody {
    border-top: 1px solid #dee2e6;
}

.table-bordered {
    border: 1px solid #dee2e6;
}

.table-bordered td,
.table-bordered th {
    border: 1px solid #dee2e6
}

.table-bordered thead td,
.table-bordered thead th {
    border-bottom-width: 1px
}

.table-responsive {
    max-width: 100%;
    overflow-x: auto;
    display: block;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: -ms-autohiding-scrollbar;
}

/* Code, Control Area Block */
.control-area-block {
    max-width: 100%;
    overflow-x: auto;
    white-space: nowrap;
    width: 100%;
    box-sizing: border-box;
    background-color: #f8f9fa;
}

/* Images */
.img-responsive {
    max-width: 100%;
    height: auto;
}

.img-float-left {
    float: left;
    padding-right: 40px;
    padding-bottom: 40px;
}

@media (max-width: 576px) {
    .img-float-left {
        padding-right: 16px;
        padding-bottom: 16px;
    }
}

/* Printing Styles */
@media print {
    .menu-container, .left-block, .right-block,
    .footer-wrapper {
        display: none !important;
    }

    .left-panel {
        display: none !important;
    }

    .text-content {
        max-width: 100%;
    }

    html {
        padding: 0 !important;
    }

    .page-toolbar-wrapper {
        display: none !important;
    }
}


/* schema block image */
/*span.schema-blok-content {
    padding: 5px;
    visibility: hidden;
    display: block;
}

a.schema-blok {
    display: block;
    position: absolute;
    border: none;
    background: url("../img/1x1.gif");
}

a.schema-blok:hover {
    display: block;
    border: 1px solid #202020;
    background: #F0F0F0;
}

a.schema-blok:hover span.schema-blok-content {
    visibility: visible;
}

#schema-block-spravce {
    width: 200px;
    height: 200px;
    top: 200px;
    left: 200px;
}

#schema-block-porada {
    width: 15%;
    height: 15%;
    top: 15%;
    left: 15%;
}

#schema-block-manazer {
    width: 15%;
    height: 15%;
    top: 15%;
    left: 15%;
}

#schema-block-mistr {
    width: 15%;
    height: 15%;
    top: 15%;
    left: 15%;
}

#schema-block-stavbyvedouci {
    width: 10%;
    height: 10%;
    top: 10%;
    left: 10%;
}*/

.auto-resizable-iframe {
    max-width: 560px;
}

.auto-resizable-iframe > div {
    position: relative;
}

.auto-resizable-iframe iframe {
    top: 0px;
    left: 0px;
    width: 100%;
}

.vidcontrols {
    visibility: hidden;
    float: left;
    position: absolute;
    background-color: #66666699;
}

/* Default style for smaller screens */

#playimg {
    opacity: 0.4;
    position: absolute;
    top: 64%;
    left: 53%;
    transform: translate(-50%, -50%);
}
#muteimg {
    opacity:0.4; 
    margin: 8px 0px 0px -8px;
}

.convideo {
    width: 90%;
    display:flex;
}

.convideocontainer {
    display: flex;
    justify-content: center;
    position: relative;
    user-select: none;
}

.vidmute {
    position: relative;
    left: var(--XSscreenwidth);
    z-index: 100001;
    width: 32px;
    height: calc((var(--XSscreenwidth) / 16 * 9) - 72px);
}
.vidplay {
    z-index: 100000;
    width: calc(var(--XSscreenwidth) - 32px);
    height: calc((var(--XSscreenwidth) / 16 * 9) - 72px);
    text-align: center;
}
.vidfull {
    top: calc((var(--XSscreenwidth) / 16 * 9) - 72px);
    z-index: 100000;
    width: var(--XSscreenwidth);
    margin-left: 32px;
    height: 72px;
}
.vidfulltext {
    display: block;
    text-align: center;
    padding: 28px;
}

.text-content {
    padding: 0px;
}


/* Style for screens 600px - 1000px */
@media (min-width: 600px) and (max-width: 1000px) {
    .convideo {
        width: var(--Sscreenwidth);
    }
    .vidmute {
        left: var(--Sscreenwidth);
        height: calc((var(--Sscreenwidth) / 16 * 9) - 72px);
    }
    .vidplay {
        width: calc(var(--Sscreenwidth) - 32px);
        height: calc((var(--Sscreenwidth) / 16 * 9) - 72px);
    }
    .vidfull {
        top: calc((var(--Sscreenwidth) / 16 * 9) - 72px);
        width: var(--Sscreenwidth);
    }
    .text-content {
        padding: 0 100px;
    }
}

/* Style for screens  1001px - 1400px */
@media (min-width: 1001px) and (max-width: 1400px) {
    .convideo {
        width: var(--Mscreenwidth);
    }
    .vidmute {
        left: var(--Mscreenwidth);
        height: calc((var(--Mscreenwidth) / 16 * 9) - 72px);
    }
    .vidplay {
        width: calc(var(--Mscreenwidth) - 32px);
        height: calc((var(--Mscreenwidth) / 16 * 9) - 72px);
    }
    .vidfull {
        top: calc((var(--Mscreenwidth) / 16 * 9) - 72px);
        width: var(--Mscreenwidth);
    }
    .text-content {
        padding: 0 250px;
    }
}

/* Style for screens wider than 1401px */
@media (min-width: 1401px) {
    .convideo {
        width: var(--Lscreenwidth);
    }
    .vidmute {
        left: var(--Lscreenwidth);
        height: calc((var(--Lscreenwidth) / 16 * 9) - 72px);
    }
    .vidplay {
        width: calc(var(--Lscreenwidth) - 32px);
        height: calc((var(--Lscreenwidth) / 16 * 9) - 72px);
    }
    .vidfull {
        top: calc((var(--Lscreenwidth) / 16 * 9) - 72px);
        width: var(--Lscreenwidth);
    }
    .text-content {
        padding: 0 300px;
    }
}

